@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;700&display=swap');

html {
    box-sizing: border-box;
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-family: 'Montserrat', sans-serif;
    font-size: 12px;
    padding: 0;
    margin: 0;
}

a {
    color: #333;
    text-decoration: none;
}

section.search-scroll {
    .center {
        max-width: 900px;
        margin: 0 auto;
    }

    .search-scroll--header {  
        padding: 3rem 0;
        border-bottom: 1px solid #ccc;
        position: fixed;
        top: 0;
        background: #fff;
        left: 0;
        width: 100%;
        transition: all 500ms ease;

        &.scrolled {
            box-shadow: 0 0 2rem rgba(0, 0, 0, 0.3);
            padding: 1rem 0;
            h1 {
                transition: all 500ms ease;
                margin: 0;
            }
        }
        h1 {
            font-weight: 300;
            font-size: 4.5rem;
            margin: 0 0 1rem 0;
            text-align: center;
            overflow: hidden;
            transition: all 300ms ease;
            @media screen and (min-width: 768px) {
                margin: 0 0 3rem 0;
            }
        }
        &-form {
            padding: 2.5rem;
            form {
                @media screen and (min-width: 768px) {
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                }

                .form__group {
                    position: relative;
                    background-color: #f1f6f9;
                    border-radius: 2rem;
                    padding: 2rem;
                    @media screen and (min-width: 768px) {
                        width: 68%;
                        margin-right: 2rem;
                    }
                    @media screen and (min-width: 1024px) {
                        width: 78%;
                    }

                    &.focused {
                        .close {
                            opacity: 1;
                            transition: all 200ms ease;
                        }

                    }

                    .close {
                        opacity: 0;
                        position: absolute;
                        top: 2.5rem;
                        right: 3rem;
                        font-size: 1.6rem;
                        transition: all 200ms ease;
                        cursor: pointer;
                    }

                    .form__field {
                        width: 100%;
                        border: 0;
                        outline: 0;
                        color: #333;
                        padding: 0.5rem 3rem;
                        background: transparent;
                        transition: border-color 0.2s;
                        background: url(https://www.pikpng.com/pngl/m/109-1092659_search-icon-small-png-clipart.png) no-repeat left center #f1f6f9;
                        background-size: 2rem;
                        box-sizing: border-box;
                        font-size: 1.6rem;
                        font-family: 'Montserrat', sans-serif;

                        &::placeholder {
                            color: transparent;
                        }

                        &:placeholder-shown ~ .form__label {
                            cursor: text;
                            top: 2.8rem;
                            left: 5rem;
                        }
                    }

                    .form__label {
                        position: absolute;
                        top: 1rem;
                        left: 5rem;
                        display: block;
                        transition: 0.2s;
                        font-size: 1.2rem;
                        color: #333;
                    }

                    .form__field:focus {
                        ~ .form__label {
                            top: 1rem;
                        }
                    }
                }
                .form__submit {
                    width: 50%;
                    margin: 1.5rem auto 0 auto;
                    @media screen and (min-width: 768px) {
                        width: 30%;
                        margin: 0;
                    }
                    @media screen and (min-width: 1024px) {
                        width: 20%;
                    }

                    input {
                        padding: 2.5rem;
                        background: #182b30;
                        color: #70f2f9;
                        width: 100%;
                        border-radius: 4rem;
                        border: none;
                        cursor: pointer;
                        transition: all 200ms ease;
                        appearance: none;
                        font-family: 'Montserrat', sans-serif;
                        box-shadow: 1px 1px 5px rgba(0,0,0,0.5);
                        font-size: 1.5rem;
                        @media screen and (min-width: 1024px) {
                            &:hover {
                                transform: scale(1.05);
                                transition: all 200ms ease;
                            }
                        }
                    }
                }
            }
        }

        &-num-results {
            padding: 0 2.5rem;
            font-size: 1.6rem;
            transition: all 300ms ease;
            overflow: hidden;
        }
    }

    .search-scroll--results-list {
        margin: 3rem 0;
        padding-top: 35rem;
        @media screen and (min-width: 768px) {
            padding-top: 30rem;
        }
        ul {
            list-style-type: none;
            padding: 0;
            margin: 0;
            li {
                padding: 2.5rem;
                border: 1px solid #fff;
                transition: all 200ms ease;
                border-radius: 2rem;
                @media screen and (min-width: 1024px) {
                    &:hover {
                        border-color: #ccc;
                        transition: all 200ms ease;

                        h2 {
                            color: #31828b;
                            transition: all 200ms ease;
                        }
                    }
                }

                h2 {
                    margin-top: 0;
                    font-weight: 500;
                    color: #333;
                    transition: all 200ms ease;
                }

                p {
                    color: #333;
                    font-size: 1.6rem;
                    line-height: 2.4rem;
                    &.is-url {
                        color: #31828b;
                        font-weight: 500;
                        font-size: 1.3rem;
                        margin-bottom: 0;
                    }
                }

            }
        }
    }
}

section.grid-masonry {
    background-color: #ccc;
    padding: 2rem 0;
    .center {
        max-width: 1300px;
        margin: 0 auto;
        .grid-container {
            // Tablet viewport
            @media screen and (min-width: 768px) {
                column-count: 2;
                column-gap: 2rem;
                column-width: 50%;
            }
            
            // Small desktop
            @media screen and (min-width: 1024px) {
                column-count: 4;
                column-width: 25%;
            }
        
            .grid-item {
                padding: 3rem;
                background-color: #fff;
                box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.4);
                border-radius: 2rem;
                display: inline-block;
                margin: 2rem 1rem;
                transition: all 200ms ease;
                overflow: hidden;
                
                &:hover {
                    transform: scale(1.01);
                    transition: all 200ms ease;
                }

                h3 {
                    font-size: 2.4rem;
                    color: #333;
                    font-weight: 500;
                }

                .grid-item--category {
                    font-size: 1.2rem;
                    font-weight: bold;
                    text-transform: uppercase;
                    color: #333;
                }

                &--min-read {
                    color: #999;
                }

                &--author {
                    display: flex;
                    align-items: center;
                    justify-content: flex-start;
                    margin-top: 3rem;
                    &--picture {
                        margin-right: 1rem;
                        img {
                            width: 3rem;
                            height: 3rem;
                            object-fit: cover;
                            border-radius: 50%;
                        }
                    }
                    &--info {
                        h5 {
                            margin: 0;
                            font-size: 1.2rem;
                        }
                        h6 {
                            margin: 0;
                            font-size: 1.2rem;
                            font-weight: normal;
                        }
                    }
                }

                &--has-video {
                    padding: 0;
                    overflow: hidden;
                    .grid-item--video-wrapper {
                        position: relative;
                        &::after, &::before {
                            content: "";
                            top: 0;
                            left: 0;
                            bottom: 0;
                            right: 0;
                            margin: auto;
                            position: absolute;

                        }
                        &::before {
                            width: 5rem;
                            height: 5rem;
                            background-color: aquamarine;
                            border-radius: 50%;
                            z-index: 2;
                        }
                        &::after {
                            width: 0;
                            height: 0;
                            z-index: 3;
                            border-left: 15px solid black;
                            border-bottom: 10px solid transparent;
                            border-top: 10px solid transparent;
                            transform: translateX(2px);
                        }
                        img {
                            width: 100%;
                            height: auto;
                        }
                    }
                    .grid-item--content {
                        padding: 3rem;
                        display: flex;
                        flex-direction: column;
                        h3 {
                            margin-top: 0;
                        }
                    }
                }

                &--red {
                    // grid-row-end: span 2;
                    background-color: #af1136;
                    h3, .grid-item--category, .grid-item--count {
                        color: #fff;
                    }
                }
            }
        }
    }
}